Bug 1419064 - Fedora - Add package numactl for s390x
Summary: Fedora - Add package numactl for s390x
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: numactl
Version: rawhide
Hardware: s390x
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Holášek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2017-02-03 15:10 UTC by IBM Bug Proxy
Modified: 2017-08-02 17:16 UTC (History)
4 users (show)

Fixed In Version: numactl-2.0.11-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 07:16:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 151233 None None None 2017-02-03 15:10:34 UTC

Description IBM Bug Proxy 2017-02-03 15:10:29 UTC

Comment 1 IBM Bug Proxy 2017-02-03 15:10:32 UTC
Since kernel v4.3 and git commit 
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3a368f742da13955bed4a2efed85ed7c1d826bcc
 ("s390/numa: add core infrastructure") 
there is NUMA also available in the kernel on s390.

Currently the numactl package for Fedora still has set
"ExcludeArch: s390 s390x" ... see
http://rpmfind.net/linux/rpm2html/search.php?query=numactl

The package compiles on s390x and it also works fine.

Therefore please add the numactl package to Fedora for s390x as soon as possible.

Comment 2 Hanns-Joachim Uhl 2017-07-23 09:14:13 UTC
Hello Red Hat / Dan,
... with Fedora 26 available since 07/11/2017
I still cannot find the numactl rpm as binary rpm for s390x from 
http://dl.fedoraproject.org/pub/fedora-secondary/releases/26/Server/s390x/os/Packages/n/
although it is available as src rpm 
"numactl-2.0.11-3.fc26.src.rpm                                  2017-02-06 07:21  415K" 
from
http://dl.fedoraproject.org/pub/fedora/linux/releases/26/Server/source/tree/Packages/n/
.
... will it be available for s390x with Fedora 27 ...?
Or what do I miss ...? 
Please advise ...
Thanks in advance for your support.

Comment 3 Dan Horák 2017-08-02 08:30:18 UTC
Hello Hans,

numactl is available in the "Everything" repository (which is the default one after installation) - http://dl.fedoraproject.org/pub/fedora-secondary/releases/26/Everything/s390x/os/Packages/n/numactl-2.0.11-3.fc26.s390x.rpm

Comment 4 Hanns-Joachim Uhl 2017-08-02 17:16:24 UTC
(In reply to Dan Horák from comment #3)
> Hello Hans,
> 
> numactl is available in the "Everything" repository (which is the default
> one after installation) -
> http://dl.fedoraproject.org/pub/fedora-secondary/releases/26/Everything/
> s390x/os/Packages/n/numactl-2.0.11-3.fc26.s390x.rpm
.
... thanks for the confirmation and your support ...


Note You need to log in before you can comment on or make changes to this bug.